Page MenuHomePhabricator

Create Wikipedia Karachay-Balkar
Closed, ResolvedPublic

Description

Author: millosh

Description:
Wikipedia in Karachay-Balkar language [1] has been approved by the Language committee and the Board, which means that it should be created. The code is krc.

Test project is at [2].

Thanks!

[1] - http://meta.wikimedia.org/wiki/Requests_for_new_languages/Wikipedia_Karachay-Balkar
[2] - http://incubator.wikimedia.org/wiki/wp/krc


Version: unspecified
Severity: enhancement

Details

Reference
bz22657

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:08 PM
bzimport set Reference to bz22657.
bzimport created this task.Feb 26 2010, 4:57 PM
mxn added a comment.Mar 3 2010, 8:50 AM

Added tracking bug.

RobH added a comment.Mar 5 2010, 11:49 PM

I have the localized language name is Къарачай-Малкъар. However, I do NOT have the sitename, logo, or any of the other information required. I rather not set this up with the defaults, as changing things later can lead to 'issues.' Please provide with the following:

wgSitename,
wgMetaNamespace

If you need local uploads, please let me know, as well as any other settings that differ from the default Wikipedia settings on the cluster.

As soon as I have this information, we will get this setup right away!

iltever wrote:

Hi, Rob Halsell!

site name = Википедия
meta name space = Википедия:
the logo is here = http://commons.wikimedia.org/wiki/File:Wikipedia-logo-krc.png

Thanks.

millosh wrote:

I would ask WMF admins to hurry up a little with creating the project, as our friends from Karachay-Balkar language speaking area already prepared everything for promotion of Wikipedia in their language in their country.

iltever wrote:

Dear friends!
If it possible, I would ask WMF admins to hurry up a little with creating the website, as our community has organized a number of publications in newspapers and online publications, and if in the near future will not created the website, publishers can cancel planned publications... Thank you in advance and sorry for the inconvenience.

RobH added a comment.Mar 18 2010, 9:01 PM

Ok, I was just attempting to set this up, and I ran into an issue getting the krc language change to take. I have emailed some of my coworkers about it, and we I expect to hear back shortly. I will update this ticket at end of today, as well as tomorrow morning (even if things are not resolved by then, but I hope they will be.)

Still some issues remaining on Incubator:

http://incubator.wikimedia.org/wiki/Category:Wp/krc/Pages_using_unprefixed_templates

Please fix it otherwise the import won't be fully correct.

iltever wrote:

All done. Thanks.

RobH added a comment.Mar 19 2010, 1:06 AM

krc.wikipedia.org is now online with the settings specified (except for the logo, which has not been updated yet to the proper settings.)

Once the logo is finished, you can reply to this ticket to re-open it, or create a new ticket, either works. (Though if you submit another ticket, reference this one rather than providing consensus for the logo change.)

iltever wrote:

I am sorry, I wanted to ask when will be transferred content from the incubator ... In order that we could start working fully. Or it will take some time? Perhaps I should do something else?
Thanks. Sorry for the inconvenience.

I am transferring the content from Incubator to krcwiki.

iltever wrote:

Hello friends.
Sorry to bother you again.
I wanted to ask why does not work the localization of the interface... Are there some problems with that?
Thanks.

MessagesKrc.php was added in January 2010, months after the last full scap.

Rob, can you pls deploy this file?

Note, that inconsistencies could happen because this message file contains newer messages than the current live MessagesEn.php

These incosistencies will be fixed automatically with the next full scap, hopefully within the next 2-3 weeks.

jeluf wrote:

Deployed 'MessagesKrc.php' from trunk to all servers.

iltever wrote:

Hello friends.
I wanted to ask when will be transferred remaining articles
Are there some problems with that?

Thanks. Sorry for the inconvenience.

Remaining articles are being imported.

iltever wrote:

Thank you Robin.
Currently, about half of our articles is in the incubator still.
Thanks.

iltever wrote:

I have updated the logo. I do not know... Have I done?

RobH added a comment.Mar 22 2010, 6:18 PM

Logo is updated. Please keep the logo upload protected, as it is now the site logo. Additionally, any changes that have to be made to the logo can now occur without sysadmin assistance.

jeluf wrote:

Anything left to do? May I close this ticket?

iltever wrote:

There is one problem. The statistics show that the number of articles is 330, whereas in reality the number of articles more than 600. You can see this here: http://krc.wikipedia.org/wiki/Къуллукъ:AllPages

or here: http://krc.wikipedia.org/w/index.php?title=Къуллукъ:ShortPages&limit=500&offset=0

Please help us get out of this situation.

jeluf wrote:

I've run maintenance/updateArticleCount.php and it reported 612 pages.

Closing this ticket for now. You can reopen it if there is any other issue related to the creation of the wiki, or create a new request if you need any other changes.

iltever wrote:

One more problem. The number of pages is much more than 784...
Statistics: http://krc.wikipedia.org/wiki/Къуллукъ:Statistics

(In reply to comment #24)

One more problem. The number of pages is much more than 784...
Statistics: http://krc.wikipedia.org/wiki/Къуллукъ:Statistics

Fixed. There didn't seem to be a script for this, so I adjusted the values by hand in the database.

iltever wrote:

Hello friends.
There is one problem with our site. Text search does not work.
Can anyone help us?

Thanks. Sorry for the inconvenience.

(In reply to comment #26)

Hello friends.
There is one problem with our site. Text search does not work.
Can anyone help us?
Thanks. Sorry for the inconvenience.

bug 23089 related

rainman wrote:

The search should work now.